GtkWidget *AboutWin = NULL;

GtkWidget* create_about (void);

void ShowAbout(void) {
	if (!AboutWin)
		AboutWin = create_about();
	gtk_widget_show(AboutWin);
}

gboolean hide_window(GtkWidget *widget,GdkEvent *Event,gpointer user_data) {
	gtk_widget_hide(widget);
	return TRUE;
}

void on_about_close_clicked(GtkButton *button,gpointer user_data) {
		if (AboutWin)
				gtk_widget_hide(AboutWin);
		return;
}

GtkWidget* create_about(void) {
	GtkWidget *About,*vbox1,*label1,*label2,*hseparator1,*hbuttonbox1,*about_close;
	About = gtk_window_new(GTK_WINDOW_TOPLEVEL);
	gtk_object_set_data(GTK_OBJECT(About), "About", About);
	gtk_window_set_title(GTK_WINDOW(About),("About TI-Sound"));
	gtk_window_set_policy(GTK_WINDOW(About),FALSE,FALSE,FALSE);

	vbox1 = gtk_vbox_new(FALSE,0);
	gtk_widget_ref(vbox1);
	gtk_object_set_data_full(GTK_OBJECT(About),"vbox1",vbox1,(GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(vbox1);
	gtk_container_add(GTK_CONTAINER(About), vbox1);

	label1 = gtk_label_new(("TI-Sound Plugin by Paul Marks.\n\nInput plugin for various TI Calculator\naudio formats.  Easily extensible code format,\nsuch that other newer, or unsupported formats\nmay be added in later."));
	gtk_widget_ref(label1);
	gtk_object_set_data_full(GTK_OBJECT(About),"label1",label1,(GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(label1);
	gtk_box_pack_start(GTK_BOX(vbox1),label1,FALSE,FALSE,0);
	gtk_misc_set_padding(GTK_MISC(label1),3,3);

	label2 = gtk_label_new("CalcMOD Format (83/83+/83+SE)");
//	gtk_label_set_justify(GTK_LABEL(label2),GTK_JUSTIFY_LEFT);
	gtk_widget_ref(label2);
	gtk_object_set_data_full(GTK_OBJECT(About),"label2",label2,(GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(label2);
	gtk_box_pack_start(GTK_BOX(vbox1),label2,FALSE,FALSE,0);
	gtk_misc_set_padding(GTK_MISC(label2),3,3);
	
	hseparator1 = gtk_hseparator_new();
	gtk_widget_ref (hseparator1);
	gtk_object_set_data_full(GTK_OBJECT(About),"hseparator1",hseparator1,(GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(hseparator1);
	gtk_box_pack_start(GTK_BOX(vbox1),hseparator1,TRUE,TRUE,0);
	gtk_widget_set_usize(hseparator1,-2,18);

	hbuttonbox1 = gtk_hbutton_box_new();
	gtk_widget_ref(hbuttonbox1);
	gtk_object_set_data_full(GTK_OBJECT(About),"hbuttonbox1",hbuttonbox1,(GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(hbuttonbox1);
	gtk_box_pack_start(GTK_BOX(vbox1),hbuttonbox1,TRUE,TRUE,0);

	about_close = gtk_button_new_with_label(("Close"));
	gtk_widget_ref(about_close);
	gtk_object_set_data_full(GTK_OBJECT(About),"about_close",about_close,(GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show(about_close);
	gtk_container_add(GTK_CONTAINER(hbuttonbox1),about_close);
	GTK_WIDGET_SET_FLAGS(about_close,GTK_CAN_DEFAULT);
	gtk_signal_connect(GTK_OBJECT(About), "delete_event",GTK_SIGNAL_FUNC(hide_window),NULL);
	gtk_signal_connect(GTK_OBJECT(about_close),"clicked",GTK_SIGNAL_FUNC(on_about_close_clicked),NULL);
	return About;
}
